/*****************************************************************************/
/* How About Some Other Media                                       www0.cmd */ 
/*                                                                           */
/* (C) Copyright IBM Corporation 1999.                                       */
/*                                                                           */
/* This code is sample code, provided "AS IS", without warranty of any kind  */
/*****************************************************************************/

html = .myHtml~new                     /* create an html object              */
                                       /* create html object for meta specs  */
metas = .html~new~meta('subject', 'multi-media')~meta('key', 'music')
                                       /* title using meta specifications    */
html~title('Multimedia on the Web', metas)
html~h2('How about some other media?') /* header 2                           */
html~p("Try this <b>Audio</b> by pushing the play button!")~pc  
                                       /* create html object for parameters  */
params = .html~new~param('name="autostart" value="false"')
params~param('name="controls" value="ImageWindow"')
                                       /* specify object using parameters    */
html~object('audio/wav', "/orxwww/notes.wav", 148 60, params, 'title="Some Notes"')  

html~p("Try this <b>Video</b> by pushing the play button!")~pc  
--html~object('video/mpeg', "/orxwww/_vidcdi.mpg", 250 290, , 'title="Up up and away!"')  
html~object('video/msvideo', "/orxwww/enter.avi", 240 180, , 'title="Up up and away!"')  

html~pl~footing("/orxwww/www0.cmd")    /* footing with code reference        */
return html~end                        /* end HTML document and return it    */

::requires "myhtml.cls"                /* load myHtml class definition       */
